import { jsx } from "react/jsx-runtime";
import { CowboyHat as CowboyHat$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CowboyHat = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CowboyHat", ...props, children: /* @__PURE__ */ jsx(CowboyHat$1, { weight: variant }) });
  }
);
CowboyHat.displayName = "CowboyHat";
Object.assign(CowboyHat, { isGdsIcon: true });
export {
  CowboyHat
};
